Rename a namespace
curl --request PUT \
--url https://api.vidnavigator.com/v1/namespaces/{namespace_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Product Demos"
}
'import requests
url = "https://api.vidnavigator.com/v1/namespaces/{namespace_id}"
payload = { "name": "Product Demos" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Product Demos'})
};
fetch('https://api.vidnavigator.com/v1/namespaces/{namespace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "internal_server_error",
"message": "<string>"
}Local Files
Rename Namespace
Rename an existing namespace. The ‘default’ namespace cannot be renamed.
PUT
/
namespaces
/
{namespace_id}
Rename a namespace
Rename an existing namespace. The
default namespace cannot be renamed.
Example Request
curl -X PUT "https://api.vidnavigator.com/v1/namespaces/64a1b2c3d4e5f6789abc0003" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Product Demos"
}'
import requests
namespace_id = "64a1b2c3d4e5f6789abc0003"
url = f"https://api.vidnavigator.com/v1/namespaces/{namespace_id}"
headers = {
"X-API-Key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {"name": "Product Demos"}
response = requests.put(url, headers=headers, json=data)
result = response.json()
const namespaceId = '64a1b2c3d4e5f6789abc0003';
const response = await fetch(`https://api.vidnavigator.com/v1/namespaces/${namespaceId}`, {
method: 'PUT',
headers: {
'X-API-Key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({ name: 'Product Demos' })
});
const result = await response.json();
Success Response
{
"status": "success",
"message": "Namespace renamed successfully"
}
Authorizations
API key authentication. Include your VidNavigator API key in the X-API-Key header.
Path Parameters
The ID of the namespace to rename
Body
application/json
New name for the namespace
Example:
"Product Demos"
⌘I

